Subject: bug#38394: closed (Re: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Aug 2020 19:52:01 +0000

Your bug report

#38394: Fwd: Use different image filtering when zooming in vs zooming out

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38394: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38394
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out
From: Alan Third <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Aug 2020 21:51:34 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 04, 2020 at 10:52:47AM +0200, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > It should be possible, I just don't know how. I've never done any
> > Cairo work before...
> >
> > Turned out to be pretty simple. Patch attached.
> 
> Then I think this should be applied to Emacs 28, and we'll get some
> feedback on whether people prefer it this way or not.

I worked out how to do it under NS too, so I've added that and pushed
to master.
-- 
Alan Third

Subject: Fwd: Use different image filtering when zooming in vs zooming out
From: Alan Third <[email-masked]>
To: Emacs Bug Reports <[email-masked]>
Date: Tue, 26 Nov 2019 21:39:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Nov 26, 2019 at 09:40:06PM +0100, Adam Sjøgren wrote:
> Alan writes:
>
> > Every time I look at those screenshots I think that perhaps we should
> > turn off the smoothing completely, then remember I turned it on
> > because photos of real things looked awful without it.
>
> Good point.
>
> But hard to tell whether to smooth or not, I guess? xpm's are probably
> often not-photos, but png's...

It might be worth smoothing on scaling down, but not on scaling up.
That way if you zoom in you get exact pixels, but zooming out you
don’t get aliasing effects.

I don’t know if that would add any other problems...

Patch attached ‐ this goes on top of the patch for bug#38109:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38109#137

It is also only for XRender. I’ve no idea how to go about doing it in
other terms.
-- 
Alan Third